Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class Event

    java.lang.Object
      com.amazonaws.services.rds.model.Event

    public class Event

extends Object

Constructor Summary
`Event()`

Method Summary
`Date` | `getDate()` Specifies the date and time of the event.
`String` | `getMessage()` Provides the text of this event.
`String` | `getSourceIdentifier()` Provides the identifier for the source of the event.
`String` | `getSourceType()` Specifies the source type for this event.
`void` | `setDate(Date date)` Specifies the date and time of the event.
`void` | `setMessage(String message)` Provides the text of this event.
`void` | `setSourceIdentifier(String sourceIdentifier)` Provides the identifier for the source of the event.
`void` | `setSourceType(String sourceType)` Specifies the source type for this event.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Event` | `withDate(Date date)` Specifies the date and time of the event.
`Event` | `withMessage(String message)` Provides the text of this event.
`Event` | `withSourceIdentifier(String sourceIdentifier)` Provides the identifier for the source of the event.
`Event` | `withSourceType(String sourceType)` Specifies the source type for this event.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Event

    public Event()

Method Detail

### getSourceIdentifier

    public String getSourceIdentifier()

  Provides the identifier for the source of the event.

  Returns:
    Provides the identifier for the source of the event.

### setSourceIdentifier

    public void setSourceIdentifier(String sourceIdentifier)

  Provides the identifier for the source of the event.

  Parameters:
    `sourceIdentifier` - Provides the identifier for the source of the event.

### withSourceIdentifier

    public Event withSourceIdentifier(String sourceIdentifier)

  Provides the identifier for the source of the event.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `sourceIdentifier` - Provides the identifier for the source of the event.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSourceType

    public String getSourceType()

  Specifies the source type for this event.

  Constraints:
  Allowed Values: db-instance, db-parameter-group, db-security-group, db-snapshot

  Returns:
    Specifies the source type for this event.
  See Also:
    `SourceType`

### setSourceType

    public void setSourceType(String sourceType)

  Specifies the source type for this event.

  Constraints:
  Allowed Values: db-instance, db-parameter-group, db-security-group, db-snapshot

  Parameters:
    `sourceType` - Specifies the source type for this event.
  See Also:
    `SourceType`

### withSourceType

    public Event withSourceType(String sourceType)

  Specifies the source type for this event.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: db-instance, db-parameter-group, db-security-group, db-snapshot

  Parameters:
    `sourceType` - Specifies the source type for this event.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `SourceType`

### getMessage

    public String getMessage()

  Provides the text of this event.

  Returns:
    Provides the text of this event.

### setMessage

    public void setMessage(String message)

  Provides the text of this event.

  Parameters:
    `message` - Provides the text of this event.

### withMessage

    public Event withMessage(String message)

  Provides the text of this event.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `message` - Provides the text of this event.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDate

    public Date getDate()

  Specifies the date and time of the event.

  Returns:
    Specifies the date and time of the event.

### setDate

    public void setDate(Date date)

  Specifies the date and time of the event.

  Parameters:
    `date` - Specifies the date and time of the event.

### withDate

    public Event withDate(Date date)

  Specifies the date and time of the event.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `date` - Specifies the date and time of the event.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.